<?xml version="1.0" encoding="GB2312"?>
<PPConfig ReversePPMsgGroupEndType="2">
    <Mode name="davinci_front" switcher="0" >
    </Mode>
    <Mode name="davinci_rear" switcher="0" >
        <PPAlgo name="davincidsp" />
    </Mode>
    <Mode name="colorfusion" switcher="0" >
        <PPAlgo name="hwaxymap" />
        <PPAlgo name="colorfusiondsp" />
    </Mode>
    <!-- Every Snapshot can be configured as ON or OFF. -->
    <!-- Every Snapshot can have one or more algothirms(PPAlgo). -->
    <!-- Algo order is important. -->
    <!-- If the order is Davinci and HDR, then every frame will be denoised by Davinci algothirm firstly, then HDR. -->
    <!-- If the order is HDR and Davinci, then HDR firstly, the result frame will be denoised by Davinci. -->
    <Mode name="hdr" switcher="0">
        <PPAlgo name="hdrdsp" />
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="frontbeautyHdrplite" switcher="1">
		<PPAlgo name="RawhdrDsp" />
		<PPAlgo name="hwFaceAttrPpAlgo" />
		<PPAlgo name="HwBeautyPpAlgo" />
		<PPAlgo name="AIShapingPpAlgo" />
	</Mode>
	<Mode name="frontHdrplite" switcher="1">
		<PPAlgo name="RawhdrDsp" />
    </Mode>
    <Mode name="jpghdr" switcher="0">
        <PPAlgo name="JpegHdrdsp" />
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="rawhdr" switcher="1">
        <PPAlgo name="RawhdrDsp" />
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="davincidsp" />
    </Mode>
    <Mode name="frontNightRawhdr" switcher="1">
        <PPAlgo name="MegRawhdrPpAlgo" />
        <PPAlgo name="RelonchPpAlgo" />
    </Mode>
    <Mode name="frontBeautyNightRawhdr" switcher="1">
        <PPAlgo name="MegRawhdrPpAlgo" />
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="hdrplite" switcher="1">
        <PPAlgo name="RawhdrDsp" />
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="davincidsp" />
    </Mode>
    <Mode name="smart_hdr_rear" switcher="1">
        <PPAlgo name="hdrdsp" />
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="graycheck" switcher="0">
        <PPAlgo name="GrayCheckPpAlgo" />
    </Mode>
    <Mode name="smart_hdr_front" switcher="1">
        <PPAlgo name="frontbokehmask" />
        <PPAlgo name="hdrdsp" />
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="ldc" />
    </Mode>
    <Mode name="digitalzoom" switcher="0">
        <PPAlgo name="digitalzoom" />
    </Mode>
    <Mode name="multidenoise" switcher="1">
        <PPAlgo name="hwaxymap" />
        <PPAlgo name="multidenoisedsp" />
    </Mode>
    <Mode name="burstshot" switcher="0">
    </Mode>
    <Mode name="bestshot" switcher="1">
        <PPAlgo name="bestshot" />
    </Mode>
    <Mode name="beauty_front_extisp" switcher="1">
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="beauty_front_noneextisp" switcher="1">
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="AIShapingPpAlgo" />
    </Mode>
    <Mode name="beauty_rear_extisp" switcher="1">
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="beauty_rear_noneextisp" switcher="1">
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="self_portrait_noface" switcher="1">
         <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="self_portrait" switcher="1">
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="refocus" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="sensorhdr" switcher="1">
    </Mode>
    <Mode name="sensorhdr_beauty" switcher="1">
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="AIShapingPpAlgo" />
    </Mode>
    <Mode name="edof" switcher="1">
        <PPAlgo name="refocus" />
    </Mode>
    <Mode name="edof_hidden" switcher="1">
    </Mode>
    <Mode name="frontbokeh_beauty" switcher="1">
        <PPAlgo name="frontbokehmask" />
        <PPAlgo name="frontbokeh" />
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="AIShapingPpAlgo" />
    </Mode>
    <Mode name="frontbokeh" switcher="0">
        <PPAlgo name="ctdetect" />
        <PPAlgo name="frontbokehmask" />
        <PPAlgo name="frontbokeh" />
    </Mode>
    <Mode name="sr" switcher="0">
    </Mode>
    <Mode name="fastshot" switcher="0">
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="allfocus" switcher="0">
        <PPAlgo name="allfocus" />
    </Mode>
    <Mode name="calib" switcher="0" >
        <PPAlgo name="calibinfo" />
        <PPAlgo name="formatconvert" />
        <PPAlgo name="davincidsp" />
        <PPAlgo name="formatconvert" />
    </Mode>
    <Mode name="macro" switcher="0">
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="beauty_multidenoise" switcher="1">
        <PPAlgo name="hwaxymap" />
        <PPAlgo name="multidenoisedsp" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="beauty_multidenoise_front" switcher="1">
        <PPAlgo name="multidenoisedsp" />
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="AIShapingPpAlgo" />
    </Mode>
    <Mode name="beauty_hdr_rear" switcher="1">
        <PPAlgo name="hdrdsp" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="beauty_hdr_front" switcher="1">
        <PPAlgo name="frontbokehmask" />
        <PPAlgo name="hdrdsp" />
        <PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="hwFaceAttrPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
        <PPAlgo name="AIShapingPpAlgo" />
        <PPAlgo name="ldc" />
    </Mode>
    <!-- Need open niceFoodAlgo for EMUI5 -->
    <Mode name="nicefood" switcher="1">
        <PPAlgo name="segmentationmask" />
        <PPAlgo name="davincidsp" />
    </Mode>
    <Mode name="mono" switcher="0">
    </Mode>
    <Mode name="monofilter" switcher="0">
    </Mode>
    <Mode name="bshutter" switcher="1">
        <PPAlgo name="pp_bshutter" />
    </Mode>
    <Mode name="rawBshutter" switcher="1">
        <PPAlgo name="RawBshutterDsp" />
    </Mode>
    <Mode name="HDFlash" switcher="1">
        <PPAlgo name="HDFlashDspPpAlgo" />
        <PPAlgo name="sr" />
    </Mode>
    <Mode name="laserFOVCali" switcher="0">
        <PPAlgo name="laserfovcalib" />
    </Mode>
    <Mode name="hdccalib" switcher="1">
        <PPAlgo name="HdcCalibPpAlgo" />
    </Mode>
    <Mode name="dcmmi" switcher="1">
        <PPAlgo name="DCMMIPpAlgo" />
    </Mode>
    <Mode name="oisvcmcalib" switcher="0">
        <PPAlgo name="OisVcmCalibPpAlgo" />
    </Mode>
    <Mode name="sdkdepthcalc" switcher="0">
        <PPAlgo name="dualdepth" />
    </Mode>
    <Mode name="fullzoomnornal" switcher="1">
        <PPAlgo name="opticalzoom" />
	<PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="davincidsp" />
    </Mode>
    <Mode name="fullzoombeauty" switcher="1">
        <PPAlgo name="opticalzoom" />
	<PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="opticalzoombokeh" switcher="1">
        <PPAlgo name="hwaxymap" />
        <PPAlgo name="digitalzoom" />
        <PPAlgo name="dualdepth" />
        <PPAlgo name="sr" />
        <PPAlgo name="refocus" />
    </Mode>
    <Mode name="opticalzoombokehoz" switcher="1">
        <PPAlgo name="opticalzoom" />
        <PPAlgo name="dualdepth" />
        <PPAlgo name="refocus" />
    </Mode>
    <Mode name="rawzoombokeh" switcher="0">
	<PPAlgo name="fullzoom" />
	<PPAlgo name="dualdepth" />
	<PPAlgo name="refocus" />
    </Mode>
    <Mode name="rawsrhdrbokeh" switcher="0">
	<PPAlgo name="fullzoom" />
	<PPAlgo name="dualdepth" />
	<PPAlgo name="davincidsp" />
	<PPAlgo name="refocus" />
    </Mode>
    <Mode name="opticalzoombokehshelter" switcher="1">
        <PPAlgo name="digitalzoom" />
    </Mode>
    <Mode name="opticalzoomselfportrait" switcher="1">
        <PPAlgo name="hwaxymap" />
        <PPAlgo name="dualdepth" />
	<PPAlgo name="RelonchPpAlgo" />
        <PPAlgo name="sr" />
        <PPAlgo name="refocus" />
        <PPAlgo name="HwBeautyPpAlgo" />
    </Mode>
    <Mode name="foreRemosaic" switcher="1">
    </Mode>
    <Mode name="rearRemosaic" switcher="1">
    </Mode>
    <Mode name="smartcapture" switcher="1">
        <PPAlgo name="segmentationmask" />
        <PPAlgo name="SmartBeauty" />
        <PPAlgo name="davincidsp" />
    </Mode>
    <Mode name="flashmultidenoise" switcher="0">
        <PPAlgo name="multidenoisedsp" />
        <PPAlgo name="RedEyeRemovePpAlgo" />
    </Mode>
    <Mode name="flashsingle" switcher="0">
        <PPAlgo name="RedEyeRemovePpAlgo" />
    </Mode>
   <Mode name="prcamera" switcher="0">
       <PPAlgo name="PRCameraPpAlgo" />
   </Mode>
   <Mode name="QRFusion" switcher="1">
       <PPAlgo name="qrfusion" />
       <PPAlgo name="davincidsp" />
   </Mode>
   <Mode name="ellip" switcher="0">
		<PPAlgo name="ellip" />
		<PPAlgo name="RelonchPpAlgo" />
    </Mode>
    <Mode name="lowTemperature" switcher="1">
    </Mode>
    <Mode name="aiultraclarity" switcher="1">
        <PPAlgo name="aiultraclarity" />
        <PPAlgo name="smartcaplandscape" />
    </Mode>
</PPConfig>
